abis_nm.h File Reference
A-bis OML
`#include <osmocom/gsm/tlv.h>`
`#include <osmocom/gsm/gsm_utils.h>`
`#include <osmocom/gsm/protocol/gsm_12_21.h>`

Go to the source code of this file.

## Macros

#define | abis_nm_debugp_foh(ss, foh) DEBUGP(ss, "%s ", abis_nm_dump_foh(foh))
| write a human-readable OML header to the debug log More...

## Functions

const char * | abis_nm_nack_cause_name (uint8_t cause)
| Get human-readable string for NACK cause. More...
const char * | abis_nm_nack_name (uint8_t nack)
| Get human-readable string for OML NACK message type. More...
const char * | abis_nm_event_type_name (uint8_t cause)
| Get human-readable string for OML event type. More...
const char * | abis_nm_severity_name (uint8_t cause)
| Get human-readable string for perceived OML severity. More...
const char * | abis_nm_opstate_name (uint8_t os)
| Get human-readable string for OML Operational State. More...
const char * | abis_nm_avail_name (uint8_t avail)
| Get human-readable string for OML Availability State. More...
const char * | abis_nm_test_name (uint8_t test)
| Get human-readable string for OML test. More...
static const char * | abis_nm_admin_name (uint8_t admin)
| Get human-readable string for OML administrative state. More...
const char * | abis_nm_dump_foh (const struct abis_om_fom_hdr *foh)
int | abis_nm_chcomb4pchan (enum gsm_phys_chan_config pchan)
| Obtain OML Channel Combination for phnsical channel config. More...
enum gsm_phys_chan_config | abis_nm_pchan4chcomb (uint8_t chcomb)
| Obtain physical channel config for OML Channel Combination. More...

## Variables

const char | abis_nm_ipa_magic [13]
const char | abis_nm_osmo_magic [12]
enum abis_nm_msgtype | abis_nm_reports [4]
| unidirectional messages from BTS to BSC More...
enum abis_nm_msgtype | abis_nm_no_ack_nack [3]
| messages without ACK/NACK More...
enum abis_nm_msgtype | abis_nm_sw_load_msgs [9]
| messages related to software load More...
enum abis_nm_msgtype | abis_nm_nacks [33]
| All NACKs (negative acknowledgements. More...
const struct value_string | abis_nm_msg_disc_names []
| Human-readable strings for A-bis OML Object Class. More...
const struct value_string | abis_nm_obj_class_names []
| Human-readable strings for A-bis OML Object Class. More...
const struct value_string | abis_nm_adm_state_names []
| Human-readable names for OML administrative state. More...
const struct tlv_definition | abis_nm_att_tlvdef
| GSM A-bis OML TLV parser definition. More...
const struct tlv_definition | abis_nm_osmo_att_tlvdef
| org.osmocom GSM A-bis OML TLV parser definition More...
const struct tlv_definition | abis_nm_att_tlvdef_ipa
| GSM A-bis OML IPA TLV parser definition. More...